<?php  include_once('../../config/db.php');  //include_once('../config/check.php'); 






$query = "  SELECT a.*,b.name bname  from products a
            left join categories b on a.category_id=b.id   ";





$statement = $conn->prepare($query);
$statement->execute();
$number_filter_row = $statement->rowCount();

$result = $statement->fetchAll();

$data = array();



foreach($result as $row)
{
  

    $actionButton = '<i class="fa fa-circle" style="color:green;"></i>';
    //$edit = ' <form method="post" action="invcategorye" >  <button type="submit" style="background:none;border:none;padding:0px; outline:none; " name="edit" value="' . $row["id"] . '"   "> <i class="fa fa-edit"></i>  </button></form> ' ; 
    $edit = ' <form method="post" action="productedit" >  <button type="submit" style="background:none;border:none;padding:0px; outline:none; " name="edit" value="' . $row["id"] . '"   "> <i class="fa fa-edit"></i>  </button></form> ' ; 
    $delete = ' <form method="post" action="#" >  <button type="submit" style="background:none;border:none;padding:0px; outline:none; " name="edit" value="' . $row["id"] . '"   "> <i class="fa fa-trash" style="color:red;"></i>  </button></form> ' ; 
    
    
     $sub_array = array();
     $sub_array[] =  $actionButton  ;
     $sub_array[] =  $edit  ;
     $sub_array[] =  $delete  ;
     
     $sub_array[] = $row['bname'];
     $sub_array[] = $row['name'];
    //  $sub_array[] = $row['slug'];
     $sub_array[] = $row['price'];
     $sub_array[] = $row['stock'];
    //  $sub_array[] = $row['ename'];
     
    //  $sub_array[] = $row['description'];
     $data[] = $sub_array;
     
 

}

function count_all_data($conn,$query)
{
 $statement = $conn->prepare($query);
 $statement->execute();
 return $statement->rowCount();
}

$output = array(
                       "draw"       =>  $number_filter_row ,
                        "recordsTotal"   =>  count_all_data($conn,$query),
                        "recordsFiltered"  =>  $number_filter_row,
                        "data"       =>  $data
);

echo json_encode($output);

?>












